namespace SafeCampus.Application.Services.Business.MajorService;

public interface IMajorService : ITransient
{
    /// <summary>
    /// 添加
    /// </summary>
    /// <param name="input">添加参数</param>
    /// <returns></returns>
    Task<bool> Add(MajorDto input);
    /// <summary>
    /// 修改
    /// </summary>
    /// <param name="input">添加参数</param>
    /// <returns></returns>
    Task<bool> Update(MajorDto input);
    /// <summary>
    /// 获取详情
    /// </summary>
    /// <param name="id"></param>
    /// <returns></returns>
    Task<MajorDto> GetInfo(long id);
    /// <summary>
    /// 删除
    /// </summary>
    /// <param name="id">id</param>
    /// <returns></returns>
    Task<bool> Delete(List<long> id);
    /// <summary>
    /// 获取列表
    /// </summary>
    /// <returns></returns>
    Task<SqlSugarPagedList<MajorDto>> GetPageList(MajorSearch search);
    /// <summary>
    /// 获取列表不分页
    /// </summary>
    /// <param name="search"></param>
    /// <returns></returns>
    Task<List<MajorDto>> GetNoPageList(MajorSearch search);
}